﻿init python:
    class item: # Item class
        def __init__(self,
                name, info = "No description", icon = "inventory/icons/empty.png", value = 0,
                tags = [], waste = []
            ):
            self.name = name
            self.info = info
            self.icon = icon
            self.value = value
            self.tags = tags
            self.waste = waste

    class stack: # Item stack class
        def __init__(self, item, quantity):
            self.item = item
            self.quantity = quantity
        
        def sum(self): # Returns the total value for the items in this stack
            return self.item.value*self.quantity




    class food(item):
        def __init__(self,
                name, info = "No description", icon = "inventory/empty.png", value = 0,
                tags = [], waste = [],
                food = 0, water = 0,
            ):
            item.__init__(self, name, info, icon, value, tags, waste)
            self.food = food
            self.water = water

    class book(item):
        def __init__(self,
                name, info = "No description", icon = "inventory/empty.png", value = 0,
                tags = [], waste = [],
                text = [],
            ):
            item.__init__(self, name, info, icon, value, tags, waste)
            self.text = text

    class equipment(item):
        def __init__(self,
                name, info = "No description", icon = "inventory/empty.png", value = 0,
                tags = [], waste = [],
                weight = 0
            ):
            item.__init__(self, name, info, icon, value, tags, waste)
            self.weight = weight


# ------ chest
default bronze_chestplate = equipment(
    _("Bronze chestplate"),
    _("Looks flimsy."),
    "bronze_chestplate",
    400,
    ["chest"],
    [],
    8
)
default iron_chestplate = equipment(
    _("Iron chestplate"),
    _("Looks sturdy."),
    "iron_chestplate",
    800,
    ["chest"],
    [],
    7
)
default engraved_chestplate = equipment(
    _("Engraved chestplate"),
    _("Looks pretty."),
    "engraved_chestplate",
    1000,
    ["chest"],
    [],
    7
)
default steel_chestplate = equipment(
    _("Steel chestplate"),
    _("Looks impenetrable."),
    "steel_chestplate",
    1200,
    ["chest"],
    [],
    9
)
default ancient_armor = equipment(
    _("Ancient armor"),
    _("Looks Fantastic."),
    "ancient_armor",
    2200,
    ["chest"],
    [],
    9
)
# ------ Feet
default iron_shoes = equipment(
    _("Iron shoes"),
    _("Very uncomfortable."),
    "iron_shoes",
    600,
    ["feet"],
    [],
    2
)
default leather_shoes = equipment(
    _("Leather shoes"),
    _("Sturdy."),
    "leather_shoes",
    1600,
    ["feet"],
    [],
    1
)
# ------ hands
default golden_gloves = equipment(
    _("Golden gloves"),
    _("Very uncomfortable."),
    "golden_gloves",
    600,
    ["hands"],
    [],
    2
)
default half_gloves = equipment(
    _("Half gloves"),
    _("Very uncomfortable."),
    "half_gloves",
    400,
    ["hands"],
    [],
    1
)
default royal_gloves = equipment(
    _("Royal gloves"),
    _("Very uncomfortable."),
    "royal_gloves",
    1400,
    ["hands"],
    [],
    2
)
# ------ head
default bronze_helmet = equipment(
    _("Bronze helmet"),
    _("Very uncomfortable."),
    "bronze_helmet",
    600,
    ["head"],
    [],
    4
)
default engraved_helmet = equipment(
    _("Engraved helmet"),
    _("Very uncomfortable."),
    "engraved_helmet",
    600,
    ["head"],
    [],
    4
)
default golden_helmet = equipment(
    _("Golden helmet"),
    _("Very uncomfortable."),
    "golden_helmet",
    600,
    ["head"],
    [],
    4
)
default horny_hood = equipment(
    _("Horny hood"),
    _("Very uncomfortable."),
    "horny_hood",
    600,
    ["head"],
    [],
    2
)
default rain_collector_helmet = equipment(
    _("Rain collector helmet"),
    _("Very uncomfortable."),
    "rain_collector_helmet",
    600,
    ["head"],
    [],
    2
)
default royal_helmet = equipment(
    _("Royal helmet"),
    _("Very uncomfortable."),
    "royal_helmet",
    600,
    ["head"],
    [],
    2
)
default rusty_helmet = equipment(
    _("Rusty helmet"),
    _("Very uncomfortable."),
    "rusty_helmet",
    600,
    ["head"],
    [],
    2
)
# ------ Shield
default dual_lion_shield = equipment(
    _("Dual lion shield"),
    _("Very uncomfortable."),
    "dual_lion_shield",
    600,
    ["shield", "left", "right"],
    [],
    4
)
default lion_shield = equipment(
    _("Lion shield"),
    _("Very uncomfortable."),
    "lion_shield",
    600,
    ["shield", "left", "right"],
    [],
    4
)
default round_shield = equipment(
    _("Round shield"),
    _("Very uncomfortable."),
    "round_shield",
    600,
    ["shield", "left", "right"],
    [],
    4
)
default sun_shield = equipment(
    _("Sun shield"),
    _("Very uncomfortable."),
    "sun_shield",
    600,
    ["shield", "left", "right"],
    [],
    4
)
default wall_shield = equipment(
    _("Wall shield"),
    _("Very uncomfortable."),
    "wall_shield",
    600,
    ["shield", "left", "right"],
    [],
    4
)
# ------ weapon
default axe = equipment(
    _("Axe"),
    _("Very uncomfortable."),
    "axe",
    600,
    ["weapon", "left", "right"],
    [],
    4
)
default blade_mace = equipment(
    _("Blade mace"),
    _("Very uncomfortable."),
    "blade_mace",
    600,
    ["weapon", "left", "right"],
    [],
    4
)
default curvy_dagger = equipment(
    _("Curvy dagger"),
    _("Very uncomfortable."),
    "curvy_dagger",
    600,
    ["weapon", "left", "right"],
    [],
    4
)
default dual_axe = equipment(
    _("Dual axe"),
    _("Very uncomfortable."),
    "dual_axe",
    600,
    ["weapon", "left", "right"],
    [],
    4
)
default katana = equipment(
    _("Katana"),
    _("Very uncomfortable."),
    "katana",
    600,
    ["weapon", "left", "right"],
    [],
    4
)
default long_dagger = equipment(
    _("Long dagger"),
    _("Very uncomfortable."),
    "long_dagger",
    600,
    ["weapon", "left", "right"],
    [],
    4
)
default rough_sword = equipment(
    _("Rough sword"),
    _("Very uncomfortable."),
    "rough_sword",
    600,
    ["weapon", "left", "right"],
    [],
    4
)
default short_sword = equipment(
    _("Short sword"),
    _("Very uncomfortable."),
    "short_sword",
    600,
    ["weapon", "left", "right"],
    [],
    4
)
default spiked_stick = equipment(
    _("Spiked stick"),
    _("Very uncomfortable."),
    "spiked_stick",
    600,
    ["weapon", "left", "right"],
    [],
    4
)
default wavy_dagger = equipment(
    _("Wavy dagger"),
    _("Very uncomfortable."),
    "wavy_dagger",
    600,
    ["weapon", "left", "right"],
    [],
    4
)
default wooden_hammer = equipment(
    _("Wooden hammer"),
    _("Very uncomfortable."),
    "wooden_hammer",
    600,
    ["weapon", "left", "right"],
    [],
    4
)
















