﻿default hero = inventory_class(
    "You",
    223,
    [
        bronze_chestplate,
        iron_chestplate,
        engraved_chestplate,
        steel_chestplate,
        ancient_armor,

        iron_shoes,
        leather_shoes,

        golden_gloves,
        half_gloves,
        royal_gloves,

        bronze_helmet,
        engraved_helmet,
        golden_helmet,
        horny_hood,
        rain_collector_helmet,
        royal_helmet,
        rusty_helmet,

        dual_lion_shield,
        lion_shield,
        round_shield,
        sun_shield,
        wall_shield,

        axe,
        blade_mace,
        curvy_dagger,
        dual_axe,
        katana,
        long_dagger,
        rough_sword,
        short_sword,
        spiked_stick,
        wavy_dagger,
        wooden_hammer,
    ]
)
screen hud():
    style_prefix "hud"

    fixed:
        xysize 1920,307 yalign 1.0
        add "hud"

        hbox: #-------------Player
            xalign 0.0
            fixed:
                add "player_portrait"
                add "portrait_frame"
            vbox:
                spacing 4 yalign 1.0 yoffset -40
                text hero.name
                fixed:
                    bar value player.hp range player.max_hp xysize 260,36 right_bar "bar_empty" left_bar "bar_hp"
                    text "[player.hp]/[player.max_hp]"
                fixed:
                    bar value player.food range player.max_food xysize 260,36 right_bar "bar_empty" left_bar "bar_food"
                    text "[player.food]/[player.max_food]"
                fixed:
                    bar value player.exp range 100 xysize 260,36 right_bar "bar_empty" left_bar "bar_exp"
                    text "level [player.level]"
        hbox: #-------------enemy
            xalign 1.0
            vbox:
                spacing 4 yalign 1.0 yoffset -40
                text hero.name
                fixed:
                    bar value player.hp range player.max_hp xysize 260,36 right_bar "bar_empty" left_bar "bar_hp"
                    text "[player.hp]/[player.max_hp]"
                fixed:
                    bar value player.food range player.max_food xysize 260,36 right_bar "bar_empty" left_bar "bar_food"
                    text "[player.food]/[player.max_food]"
                fixed:
                    bar value player.exp range 100 xysize 260,36 right_bar "bar_empty" left_bar "bar_exp"
                    text "level [player.level]"
            add "portrait_frame"

        vbox: #-------------items
            align .5,1.0 yoffset -20
            hbox:
                for i in ["left", "hands", "head", "neck", "right"]:
                    button:
                        action Function(get_filtered_items, i, hero)
                        fixed:
                            add "item_frame"
                            if len(player.equipment[i]):
                                add player.equipment[i][0].item.icon
            hbox:
                for i in ["fingers", "feet", "chest", "quick_2", "bag"]:
                    button:
                        action Function(get_filtered_items, i, hero)
                        fixed:
                            add "item_frame"
                            if len(player.equipment[i]):
                                add player.equipment[i][0].item.icon
init python:
    def get_filtered_items(filter, inv):
        in_use = [] # later check if the item is already equipped
        items = []
        for i in range(inv.current_bag[0], inv.current_bag[1]):
            if inv.items[i] and filter in inv.items[i].item.tags:
                items.append(inv.items[i])
        Show("select_item", items = items, inv = inv, filter = filter)()
    def item_equip(hero, item, slot):
        hero.equipment[slot] = [item]
screen select_item(items, inv, filter):
    modal True
    button:
        background "#000a"
        action Hide("select_item")

    frame:
        align .5,1.0 yoffset -250 background "#000a"
        hbox:
            box_wrap True spacing 4 box_wrap_spacing 4
            for i in items:
                button: # Item
                    xysize 68,68 padding 0,0 background "item_frame"
                    action Function(item_equip, player, i, filter), Hide("select_item")
                    tooltip i
                    fixed:
                        add i.item.icon

            if len(items) == 0:
                text "You have no item for that."

style hud_text:
    align (.5,.5)
    size 22
    color "#000"
    font "fonts/Hardpixel.OTF"
style hud_fixed:
    fit_first True
init python:
    config.overlay_screens.append("hud")